import React, { useEffect, useState } from 'react';
import './App.css';
import Channel from './Channel';

function App() {
  let [status,setStatus] = useState([])

  async function update() {
    const res = await fetch("https://node.kapelle.org/pub/ts3");
    const json = await res.json();
    setStatus(json);
  }

  useEffect(()=>{
    setInterval(update,30000)
    update()
  },[]);

  return (
    <div className="container">
      {status.map(c => {
        return <Channel channel={c} />
      })}
    </div>
  );
}

export default App;
